<?php
	require_once("../includes/academia_constantes.php");
	require_once("../includes/funciones_generales.php");
	require_once("../includes/clase_sesion.php");
	$sesion=new sesion(); // inicio la sesion
	
	
	require_once("../includes/lib_lenguaje.php");
	$cleguaje=new cLanguage();
	
	if(!comprobar_sesion()){
		mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
		exit;
	}
	
	//ESTE ARCHIVO CARGA LOS SABERES SEGUN LA MATERIA 
	$codigo=escapar($_POST["codigo"],'int');
	$periodo=escapar($_POST["periodo"],'int');
	if(empty($codigo))
		exit;
		
	require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
$sql="select 
	view_aux_porcent_saberesxmate.cod_saber,
	view_aux_porcent_saberesxmate.nombre_saber,
	view_aux_porcent_saberesxmate.por_saber_asigxgru,
	view_aux_porcent_saberesxmate.descripcion_saber,
	view_aux_porcent_saberesxmate.cod_ponxperxsab,
	view_aux_porcent_saberesxmate.min_notas,
	view_aux_porcent_saberesxmate.acc_notas
	from view_aux_porcent_saberesxmate
	where (view_aux_porcent_saberesxmate.cod_asigxgrupo ='$codigo' AND view_aux_porcent_saberesxmate.periodo_calif ='$periodo') union (
		select conf_saberes.cod_saber,conf_saberes.nombre_saber,-1,conf_saberes.descripcion_saber,0, conf_saberes.min_notas AS min_notas,conf_saberes.acc_notas AS acc_notas from conf_saberes where conf_saberes.cod_saber not in(
			SELECT 
				view_aux_porcent_saberesxmate.cod_saber
				FROM view_aux_porcent_saberesxmate
				WHERE (view_aux_porcent_saberesxmate.cod_asigxgrupo ='$codigo' AND view_aux_porcent_saberesxmate.periodo_calif ='$periodo') 
			
		)
	)
";
			//echo $sql;
	$academia->instruccion($sql);
	$response=array();
	while($reg=$academia->extraer_registro()){
		if($reg["por_saber_asigxgru"]>-1){
			$response['dtsGrid'][]=array(
				"id"=>$reg["cod_ponxperxsab"],
				"nombre"=>$reg["nombre_saber"],
				"porcentage"=>$reg["por_saber_asigxgru"],
				"ayuda"=>'<img src="images/Help.png" alt="Que es esto?" title="'.$reg['descripcion_saber'].'" class="tip"/>',
				'minnotas'=>(int)$reg["min_notas"],
				'accnotas'=>(int)$reg["acc_notas"],
			);
		}else{
			$response['dtsSabers'][]=array(
				"cd_sab"=>$reg["cod_saber"],
				"nom_sab"=>$reg["nombre_saber"],
				'minnotas'=>(int)$reg["min_notas"],
				'accnotas'=>(int)$reg["acc_notas"],
				
			);
		}
	}
	//$response["sql"]=$sql;
	echo json_encode($response);
	$academia->liberar();
	$academia->cerrar();
?>
